# NtopngGlobe

Ntopng alerts are displayed in Globe.gl

![Example Image](https://git.dergeorg.at/dergeorg/NtopngGlobe/raw/branch/master/public/images/example.png)

### Install packages
``` sh
npm install
```

### Setup
> :warning: Ntopng webhook **must** point on ```http://<ADRESS>:3100/ws```

### Start Server
``` sh
npm start
```

### Usage
> :notebook: **Open in browser**: ```http://<ADRESS>:3100```

#### Features 
* Automatic refresh on new Data
* Manual refresh on left-click
* Click on arc reveals whole "Ntopng Alert"
* Hover on arc reveals src/dest ip/hostname

#### Colors
* Orange arc is a bidirectional request (sender and receiver are swapped)
* Red side of arc is receiving
* Green side of arc is sending


